import { ITokenHandler } from '../Token-handler/ITokenHandler';
export default class AuthStrategy {
    private tokenHandler;
    private ewizardClient;
    private keyCloakClient;
    constructor(tokenHandler: ITokenHandler, ewizardClient: any, keyCloakClient: any);
    login(credentials: any): any;
    logout(): any;
    checkAuth(): any;
    private getAuthStrategy;
}
